<?php
/**
 * @file
 * Contains \Drupal\pp_graphsearch\Form\PPGraphSearchSearchBarForm.
 */

namespace Drupal\pp_graphsearch\Form;
use Drupal\Core\Form\FormBase;
use Drupal\Core\Form\FormStateInterface;
use Drupal\pp_graphsearch\PPGraphSearch;

/**
 * Add search bar with text field and buttons to an existing Drupal-form.
 */
class PPGraphSearchSearchBarForm extends FormBase {
  protected $graphsearch;
  protected $config;
  protected $config_settings;
  /**
   * {@inheritdoc}
   */
  public function getFormId() {
    return 'pp_graphsearch_search_bar_form';
  }

  /**
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state, PPGraphSearch $graphsearch = NULL) {
    $this->graphsearch = $graphsearch;
    $this->config = $graphsearch->getConfig();
    $this->config_settings = $this->config->getConfig();

    $form['search_string'] = array(
      '#prefix' => '<div class="pp-graphsearch-search-bar">',
      '#type' => 'textfield',
      '#title' => t('Search'),
      '#default_value' => '',
      '#autocomplete_route_name' => 'pp_graphsearch.autocomplete',
      '#autocomplete_route_parameters' => array(
        'graphsearch_config' => $this->config->id(),
        'max_items' => $this->config_settings['ac_max_suggestions'],
      ),
    );

    $form['submit'] = array(
      '#type' => 'submit',
      '#value' => t('Search'),
      '#attributes' => array('class' => array('search-bar-submit')),
    );

    $form['reset'] = array(
      '#suffix' => '</div><div class="clearBoth"></div>',
      '#type'   => 'submit',
      '#value'  => 'Reset',
      '#name'   => 'op',
      '#attributes' => array('class' => array('search-bar-reset')),
    );

    return $form;
  }

  /**
   * {@inheritdoc}
   */
  public function validateForm(array &$form, FormStateInterface $form_state) {
  }

  /**
   * {@inheritdoc}
   */
  public function submitForm(array &$form, FormStateInterface $form_state) {
  }
}
?>